import request from '/@/utils/request';
/**
 * @summary 获取所有清单
 */
export const GetAllPhmLogicTree = async (req: any = request) => {
	return req({
		url: '/Phm/Logic/Tree/GetAll@V1.0',
		method: 'get',
	});
};

/**
 * @summary 添加一个清单
 */
export const InsertAPhmLogicTree = async (data, req: any = request) => {
	return req({
		url: '/Phm/Logic/Tree/Insert@V1.0',
		method: 'post',
		data,
	});
};

/**
 * @summary 修改一个清单
 */
export const UpdateAPhmLogicTree = async (data, req: any = request) => {
	return req({
		url: '/Phm/Logic/Tree/UpdateSortCode@V1.0',
		method: 'put',
		data,
	});
};

/**
 * @summary 修改清单排序码
 */
export const UpdatePhmLogicTreeSorter = async (data, req: any = request) => {
	return req({
		url: '/Phm/Logic/Tree/UpdateSorter@V1.0',
		method: 'put',
		data,
	});
};

/**
 * @summary 删除一个清单
 */
export const DeleteAPhmLogicTree = async (params, req: any = request) => {
	return req({
		url: '/Phm/Logic/Tree/DeleteByID@V1.0',
		method: 'delete',
		params,
	});
};

/**
 * @summary 通过 PolicyID 获取所有清单
 */
export const GetLogicTreeByPolicyID = async (params, req: any = request) => {
	return req({
		url: '/Phm/Logic/Tree/GetByPolicyID@V1.0',
		method: 'GET',
		params: params,
	});
};

/**
 * @summary 是否已存在当前 logicID
 */
export const GetIsExistLogicTree = async (params, req: any = request) => {
	return req({
		url: '/Phm/Logic/Tree/IsExist@V1.0',
		method: 'GET',
		params,
	});
};
